Changeset 1083 for branches


Ignore:
Timestamp:
Aug 15, 2007 6:42:20 PM (12 years ago)
Author:
andreasw
Message:

allow --enable-doscompile on MinGW/MSys

File:
1 edited

Legend:

Unmodified
Added
Removed
  • branches/BSP/trunk/Clp/configure

    r1082 r1083  
    18131813  if test "$enable_doscompile" != no; then
    18141814     case $build in
    1815        *-cygwin*) ;;
    1816        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin" >&5
    1817 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin" >&2;}
     1815       *-cygwin* | *-mingw*) ;;
     1816       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1817echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    18181818   { (exit 1); exit 1; }; } ;;
    18191819     esac
     
    18231823fi;
    18241824 case "$enable_doscompile" in
    1825    msvc|mingw|no) ;;
     1825   mingw)
     1826     case $build in
     1827       *-mingw*) enable_doscompile=no ;;
     1828     esac
     1829     ;;
     1830   msvc|no) ;;
    18261831   yes) enable_doscompile=mingw ;;
    18271832   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     
    56125617*-*-irix6*)
    56135618  # Find out which ABI we are using.
    5614   echo '#line 5614 "configure"' > conftest.$ac_ext
     5619  echo '#line 5619 "configure"' > conftest.$ac_ext
    56155620  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    56165621  (eval $ac_compile) 2>&5
     
    67466751
    67476752# Provide some information about the compiler.
    6748 echo "$as_me:6748:" \
     6753echo "$as_me:6753:" \
    67496754     "checking for Fortran 77 compiler version" >&5
    67506755ac_compiler=`set X $ac_compile; echo $2`
     
    78137818   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78147819   -e 's:$: $lt_compiler_flag:'`
    7815    (eval echo "\"\$as_me:7815: $lt_compile\"" >&5)
     7820   (eval echo "\"\$as_me:7820: $lt_compile\"" >&5)
    78167821   (eval "$lt_compile" 2>conftest.err)
    78177822   ac_status=$?
    78187823   cat conftest.err >&5
    7819    echo "$as_me:7819: \$? = $ac_status" >&5
     7824   echo "$as_me:7824: \$? = $ac_status" >&5
    78207825   if (exit $ac_status) && test -s "$ac_outfile"; then
    78217826     # The compiler can only warn and ignore the option if not recognized
     
    80818086   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80828087   -e 's:$: $lt_compiler_flag:'`
    8083    (eval echo "\"\$as_me:8083: $lt_compile\"" >&5)
     8088   (eval echo "\"\$as_me:8088: $lt_compile\"" >&5)
    80848089   (eval "$lt_compile" 2>conftest.err)
    80858090   ac_status=$?
    80868091   cat conftest.err >&5
    8087    echo "$as_me:8087: \$? = $ac_status" >&5
     8092   echo "$as_me:8092: \$? = $ac_status" >&5
    80888093   if (exit $ac_status) && test -s "$ac_outfile"; then
    80898094     # The compiler can only warn and ignore the option if not recognized
     
    81858190   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    81868191   -e 's:$: $lt_compiler_flag:'`
    8187    (eval echo "\"\$as_me:8187: $lt_compile\"" >&5)
     8192   (eval echo "\"\$as_me:8192: $lt_compile\"" >&5)
    81888193   (eval "$lt_compile" 2>out/conftest.err)
    81898194   ac_status=$?
    81908195   cat out/conftest.err >&5
    8191    echo "$as_me:8191: \$? = $ac_status" >&5
     8196   echo "$as_me:8196: \$? = $ac_status" >&5
    81928197   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    81938198   then
     
    1053010535  lt_status=$lt_dlunknown
    1053110536  cat > conftest.$ac_ext <<EOF
    10532 #line 10532 "configure"
     10537#line 10537 "configure"
    1053310538#include "confdefs.h"
    1053410539
     
    1063010635  lt_status=$lt_dlunknown
    1063110636  cat > conftest.$ac_ext <<EOF
    10632 #line 10632 "configure"
     10637#line 10637 "configure"
    1063310638#include "confdefs.h"
    1063410639
     
    1297412979   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1297512980   -e 's:$: $lt_compiler_flag:'`
    12976    (eval echo "\"\$as_me:12976: $lt_compile\"" >&5)
     12981   (eval echo "\"\$as_me:12981: $lt_compile\"" >&5)
    1297712982   (eval "$lt_compile" 2>conftest.err)
    1297812983   ac_status=$?
    1297912984   cat conftest.err >&5
    12980    echo "$as_me:12980: \$? = $ac_status" >&5
     12985   echo "$as_me:12985: \$? = $ac_status" >&5
    1298112986   if (exit $ac_status) && test -s "$ac_outfile"; then
    1298212987     # The compiler can only warn and ignore the option if not recognized
     
    1307813083   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1307913084   -e 's:$: $lt_compiler_flag:'`
    13080    (eval echo "\"\$as_me:13080: $lt_compile\"" >&5)
     13085   (eval echo "\"\$as_me:13085: $lt_compile\"" >&5)
    1308113086   (eval "$lt_compile" 2>out/conftest.err)
    1308213087   ac_status=$?
    1308313088   cat out/conftest.err >&5
    13084    echo "$as_me:13084: \$? = $ac_status" >&5
     13089   echo "$as_me:13089: \$? = $ac_status" >&5
    1308513090   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1308613091   then
     
    1464814653   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1464914654   -e 's:$: $lt_compiler_flag:'`
    14650    (eval echo "\"\$as_me:14650: $lt_compile\"" >&5)
     14655   (eval echo "\"\$as_me:14655: $lt_compile\"" >&5)
    1465114656   (eval "$lt_compile" 2>conftest.err)
    1465214657   ac_status=$?
    1465314658   cat conftest.err >&5
    14654    echo "$as_me:14654: \$? = $ac_status" >&5
     14659   echo "$as_me:14659: \$? = $ac_status" >&5
    1465514660   if (exit $ac_status) && test -s "$ac_outfile"; then
    1465614661     # The compiler can only warn and ignore the option if not recognized
     
    1475214757   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1475314758   -e 's:$: $lt_compiler_flag:'`
    14754    (eval echo "\"\$as_me:14754: $lt_compile\"" >&5)
     14759   (eval echo "\"\$as_me:14759: $lt_compile\"" >&5)
    1475514760   (eval "$lt_compile" 2>out/conftest.err)
    1475614761   ac_status=$?
    1475714762   cat out/conftest.err >&5
    14758    echo "$as_me:14758: \$? = $ac_status" >&5
     14763   echo "$as_me:14763: \$? = $ac_status" >&5
    1475914764   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1476014765   then
     
    1695916964   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1696016965   -e 's:$: $lt_compiler_flag:'`
    16961    (eval echo "\"\$as_me:16961: $lt_compile\"" >&5)
     16966   (eval echo "\"\$as_me:16966: $lt_compile\"" >&5)
    1696216967   (eval "$lt_compile" 2>conftest.err)
    1696316968   ac_status=$?
    1696416969   cat conftest.err >&5
    16965    echo "$as_me:16965: \$? = $ac_status" >&5
     16970   echo "$as_me:16970: \$? = $ac_status" >&5
    1696616971   if (exit $ac_status) && test -s "$ac_outfile"; then
    1696716972     # The compiler can only warn and ignore the option if not recognized
     
    1722717232   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1722817233   -e 's:$: $lt_compiler_flag:'`
    17229    (eval echo "\"\$as_me:17229: $lt_compile\"" >&5)
     17234   (eval echo "\"\$as_me:17234: $lt_compile\"" >&5)
    1723017235   (eval "$lt_compile" 2>conftest.err)
    1723117236   ac_status=$?
    1723217237   cat conftest.err >&5
    17233    echo "$as_me:17233: \$? = $ac_status" >&5
     17238   echo "$as_me:17238: \$? = $ac_status" >&5
    1723417239   if (exit $ac_status) && test -s "$ac_outfile"; then
    1723517240     # The compiler can only warn and ignore the option if not recognized
     
    1733117336   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1733217337   -e 's:$: $lt_compiler_flag:'`
    17333    (eval echo "\"\$as_me:17333: $lt_compile\"" >&5)
     17338   (eval echo "\"\$as_me:17338: $lt_compile\"" >&5)
    1733417339   (eval "$lt_compile" 2>out/conftest.err)
    1733517340   ac_status=$?
    1733617341   cat out/conftest.err >&5
    17337    echo "$as_me:17337: \$? = $ac_status" >&5
     17342   echo "$as_me:17342: \$? = $ac_status" >&5
    1733817343   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1733917344   then
Note: See TracChangeset for help on using the changeset viewer.